#
# Conditional build:
%bcond_without	tests		# do not perform "make test"

%define	pdir	File
%define	pnam	ShareDir
%include	/usr/lib/rpm/macros.perl
Summary:	File::ShareDir - Locate per-dist and per-module shared files
Summary(pl.UTF-8):	File::ShareDir - położenie plików współdzielonych w dystrybucji i module
Name:		perl-File-ShareDir
Version:	1.116
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/File/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	f2a0eee9f04c93753dd56437175e5bda
URL:		https://metacpan.org/release/File-ShareDir
BuildRequires:	perl-devel >= 1:5.8.1
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl(File::Path) >= 2.08
BuildRequires:	perl(File::Spec) >= 0.80
BuildRequires:	perl-Class-Inspector >= 1.12
BuildRequires:	perl-File-ShareDir-Install >= 0.13
BuildRequires:	perl-Params-Util >= 0.07
BuildRequires:	perl-Test-Simple >= 0.90
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The intent of File::ShareDir is to provide a companion to
Class::Inspector and File::HomeDir, modules that take a process that
is well-known by advanced Perl developers but gets a little tricky,
and make it more available to the larger Perl community.

Quite often you want or need your Perl module (CPAN or otherwise) to
have access to a large amount of read-only data that is stored on the
file-system at run-time.

On a Linux-like system, this would be in a place such as /usr/share,
however Perl runs on a wide variety of different systems, and so the
use of any one location is unreliable.

Perl provides a little-known method for doing this, but almost nobody
is aware that it exists. As a result, module authors often go through
some very strange ways to make the data available to their code.

%description -l pl.UTF-8
Celem File::ShareDir jest zapewnienie modułu towarzyszącego modułom
Class::Inspector oraz File::HomeDir (wykonujących zadania dobrze znane
zaawansowanym programistom Perla, ale wymagających sztuczek), będącego
bardziej przystępnym dla społeczności Perla.

Często istnieje potrzeba, aby moduł Perla (z CPAN lub innego źródła)
miał dostęp do dużych ilości danych tylko do odczytu, przechowywanych
w systemie plików.

Na systemach linuksowych takie dane zwykle znajdują się miejscu typu
/usr/share, ale Perla działa na wielu różnych systemach i użycie
jednego miejsca nie jest wiarygodne.

Perl udostępnia w takim celu mało znaną metodę, ale mało kto o niej
wie. W efekcie autorzy modułów w różny dziwny sposób sprawiają, by ich
dane były dostępne dla kodu.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{perl_vendorlib}/auto/share/{dist/File-ShareDir/{sample.txt,subdir/sample.txt},module/File-ShareDir/test_file.txt}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README.md
%{perl_vendorlib}/File/ShareDir.pm
%dir %{perl_vendorlib}/auto/share/module
%{_mandir}/man3/File::ShareDir.3pm*
%changelog
* Wed Oct 03 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-File-ShareDir.git;a=log;h=master

* Wed Oct 03 2018 Jakub Bogusz <qboosh@pld-linux.org> 82cc76e
- updated to 1.116

* Tue Sep 11 2018 Elan Ruusamäe <glen@pld-linux.org> 4dc9d35
- %{perl_vendorlib}/auto/share/dist moved to perl-dirs

* Wed Sep 20 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> db363f5
- up to 1.104

* Sat Jan 09 2016 Jakub Bogusz <qboosh@pld-linux.org> 3d7fa52
- pl
- added share/module dir
- release 2

* Sat Feb 28 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 0e21089
- up to 1.102

* Mon Nov 28 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> c4b35d0
- up to 1.03

* Thu Feb 26 2009 radek <radek@pld-linux.org> 636e68e
- release 2: add vendorlib/auto/share{,/dist}

* Mon Dec 01 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 8780690
- up to 1.00

* Mon Mar 31 2008 Elan Ruusamäe <glen@pld-linux.org> 3b0666b
- new

